html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    line-height: 1.7;
    letter-spacing: 0.05em;
    background-image: url("../media/background.webp");
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    min-height: 100vh;
    display: flex;
    flex-direction: column; /* 上から下に要素を並べる */
    font-family: 'Google Sans Flex', 'Noto Sans JP', sans-serif;
}

.content {
    max-width: 800px;
    margin: 0 auto;
}

.center {
    text-align: center;
}

h1 {
    font-size: 36px;
    font-weight: 700;
    line-height: 1.3;
    margin-top: 0;
    margin-bottom: 24px;
    color: #f5f6fa;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

h2 {
    font-size: 24px;
    font-weight: 600;
    padding-left: 12px;
    margin-top: 48px;
    margin-bottom: 16px;
    color: #f5f6fa;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

p {
    font-size: 16px;
    margin-top: 0;
    margin-bottom: 16px;
    color: #f5f6fa;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.text-mini {
    font-size: 13px;
    color: #e0e0e0;
}

.card {
    background-color: rgb(255, 255,255, 0.2);
    backdrop-filter: blur(10px);
    border-radius: 15px;
    border: 1px solid rgb(255, 255,255, 0.2);
    box-shadow: 0 4px 8px rgb(0, 0, 0, 0.2);
    padding: 20px;
}

.inserted-image {
    max-width: 100%;
    height: auto;
    display: block;
    margin: 16px 0;
    border-radius: 8px;
}

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    left: 0;
    background-color: rgba(225,225,255,0.2);
    mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
    backdrop-filter: blur(15px);
    border-bottom: none;
    padding: 30px 0 50px 0;
    box-shadow: none;
    z-index: 1000;
}

.nav-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1100px;
    margin:0 auto;
    padding: 0 30px;
    color: #f5f6fa;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

.nav-name {
    font-size: 24px;
    font-weight: 700;
    text-decoration: none;
}

.nav-menu {
    list-style: none;
    display: flex;
    gap: 30px;
    margin:0;
    padding: 0;
}

.nav-item {
    font-size: 16px;
    font-weight: 500;
    text-decoration: none;
}

.nav-content a {
    color: #f5f6fa;
}

main {
    padding-top: 50px;
    max-width: 700px;
    width: 80%;
    margin: 120px auto 50px auto;
    align-items: center;
    flex: 1;
}

.title {
    margin-bottom: 12px;
}
.link-list {
    display: flex;
    gap: 20px;
}

.link {
    background-color: rgba(225,225,255,0.3);
    color: #333333;
    border: 1px solid rgba(255, 255, 255, 0.4);
    padding: 12px 28px;
    border-radius: 16px;
    font-size: 16px;
    font-weight: 600;
    transition: all 0.3s ease;
    backdrop-filter: blur(5px);
}

.link:hover {
    background-color: rgba(255, 255,255, 0.45);
    box-shadow: 0 8px 20px rgba(255, 255,255, 0.45);
    transform: translateY(-2px);
}

.list {
    color: #f5f6fa;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}

a {
    text-decoration: none;
}

footer {
    background-color: rgba(225,225,255,0.2);
    mask-image: linear-gradient(to top, black 50%, transparent 100%);
    backdrop-filter: blur(15px);
    border-top: none;
    box-shadow: none;
    width: 100%;
}
.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1100px;
    margin:0 auto;
    padding: 0 30px;
    color: #f5f6fa;
    padding: 50px 0 30px 0;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.5);
}
